View Issue Details

IDProjectCategoryView StatusLast Update
0003823SymmetricDSImprovementpublic2019-01-09 17:00
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.16Fixed in Version3.9.16 
Summary0003823: Improve performance and accuracy of DDL retrieval of Oracle Indexes
DescriptionThe "readIndecies" phase of loading a table on Oracle was found to take 1-2 seconds at times during Oracle testing. The slowness appears to be related to a NOT IN/subselect clause in the SQL reading the indexes.

The change here is to issue 2 separate queries to filter out the PK indexes from the list. This seems to show significant performance improvement (now readIndecies is taking 1-10 milliseconds instead of over 1 second).

Also changed this code to use ALL_INDEXES instead of USER_INDEXES so there is better chance for visibility on Indexes that aren't owned by the current user.

Relationships

related to 0003833 closedmmichalek Improve performance and accuracy of DDL retrieval of Oracle Indexes (3.10) 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 967f7dd0

2018-12-07 15:54:22

mmichalek

Details Diff
0003823: Improve performance and accuracy of DDL retrieval of Oracle Indexes
0003823
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File

SymmetricDS: 3.10 3d7d9e69

2018-12-17 10:46:11

mmichalek

Details Diff
0003823: Improve performance and accuracy of DDL retrieval of Oracle Indexes (merge from 3.9)
0003823
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File

SymmetricDS: 3.10 c99d8a87

2018-12-18 14:47:03

josh-a-hicks

Details Diff
0003823: Improve performance and accuracy of DDL retrieval of Oracle
Indexes

0003823
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File

SymmetricDS: 3.9 0364f14a

2018-12-18 14:48:49

josh-a-hicks

Details Diff
0003823: Improve performance and accuracy of DDL retrieval of Oracle
Indexes

0003823
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File

SymmetricDS: 3.10 0f11eefd

2019-01-09 16:07:16

josh-a-hicks

Details Diff
0003823: Improve performance and accuracy of DDL retrieval of Oracle
Indexes (merge from 3.9)

0003823
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File

SymmetricDS: 3.9 994ffb3c

2019-01-09 16:12:15

josh-a-hicks

Details Diff
0003823: Improve performance and accuracy of DDL retrieval of Oracle
Indexes

0003823
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2018-12-07 15:51 mmichalek New Issue
2018-12-07 15:51 mmichalek Status new => assigned
2018-12-07 15:51 mmichalek Assigned To => mmichalek
2018-12-07 15:54 mmichalek Status assigned => resolved
2018-12-07 15:54 mmichalek Resolution open => fixed
2018-12-07 15:54 mmichalek Fixed in Version => 3.9.16
2018-12-07 16:00 mmichalek Changeset attached => SymmetricDS 3.9 967f7dd0
2018-12-17 10:48 mmichalek Issue cloned: 0003833
2018-12-17 10:48 mmichalek Relationship added related to 0003833
2018-12-17 11:00 mmichalek Changeset attached => SymmetricDS 3.10 3d7d9e69
2018-12-18 15:00 josh-a-hicks Changeset attached => SymmetricDS 3.9 0364f14a
2018-12-18 15:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 c99d8a87
2018-12-24 12:41 chenson Status resolved => closed
2019-01-09 17:00 josh-a-hicks Changeset attached => SymmetricDS 3.9 994ffb3c
2019-01-09 17:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 0f11eefd